" Vim syntax file
" Language:		Answer Set Programming
" Maintainer:		Jovian HERSEMEULE
" Last Change:		Mar 5, 2020
" Version:		1

" quit when a syntax file was already loaded {{{1
if exists("b:current_syntax")
  finish
endif

syn match aVar 		"[A-Z][A-Z0-9_]*"
syn match aComment 	"%.*$"
syn match aNumber 	'\d\+'
syn match aOperator 	"[,;+\\=:<\->*{}()\[\]!]"
syn match aRange 	"\.\."
syn match aSpecial 	"#[a-z]\+"
syn match aEnd		"\.$"
syn match aImply	":-"
syn match aNot		"not"

let b:current_syntax = "asp"

hi def link aVar        Identifier
hi def link aEnd	Type
hi def link aComment    Comment
hi def link aNumber     Special
hi def link aOperator   Operator
hi def link aRange   	Operator
hi def link aSpecial    PreProc
hi def link aImply      Type
hi def link aNot	Constant
